Subject: RE: Resolution: A suggested additional item in IPR disclosure pag es (fwd)

From: "Ling, Hung C (Hung)" <[email-masked]>
Date: Wed, 8 Dec 2004 16:23:38 -0500

Harald:

Can you please clarify whether your intent on suggesting the added text is to "require" IPR holders who wish to offer a RAND license commitment to disclose specific RAND terms and conditions?  Sometimes, intention gets changed when massaging the words.

If that is the intended or unintended outcome, I do not believe the change is workable for corporate law departments.  As George pointed out, that would also be a  change from RFC 3668 and 3905.

Hung

-----Original Message-----
From: George T. Willingmyre [mailto:[email-masked]]
Sent: Wednesday, December 08, 2004 10:49 AM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: Re: Resolution: A suggested additional item in IPR disclosure
pages (fwd)

I agree with David's comments. There are problems with Harald's proposal

As I understand the  proposed new text for the generic and specific
Disclosure and Declaration templates and as David interprets it in the email
below, it would ADD a new requirement for IPR holders who wish to offer a
RAND license commitment to their IPR to disclose  specific RAND terms and
conditions.  It would help me for list members to confirm their
understanding that that is what would be the outcome of implementing the
proposed new sections to the generic and specific IETF IPR Licensing
Declaration Template for specific and generic IPR disclosures.

If my understanding is correct there are many arguments why this would not
be a good idea.

David presents some of them below.  Often times  there will not be a single
set of Terms and Conditions that an IPR holder may use to fulfill a RAND
commitment to everyone.  A commitment of RAND is not the same as a
commitment that ALL licenses will be the same.   The IETF procedures do not
speak of  identical license commitments.  The IETF procedures speak of
licenses offered to meet RAND conditions

On a procedural basis, the proposed changes seem to ADD new requirement not
contained in             the Intellectual Property Rights in IETF Technology
RFC 3668
http://www.ietf.org/rfc/rfc3668.txt?number=3668   nor in the Template for
IETF Patent Disclosures and Licensing Declarations at
http://www.ietf.org/rfc/rfc3905.txt?number=3905   If in fact we are changing
the requirements contained in an RFC(s) is there not a need to change that
RFC through some consensus process?  There could be interested parties who
are not on this email list but who would have a point of view if the
proposal was elevated to a higher level that requires wider review.

best regards

George T. Willingmyre, P.E.
GTW Associates
1012 Parrs Ridge Drive
Spencerville, MD 20868
301 421 4138 facsimile 301 421 0977
www.gtwassociates.com

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 08, 2004 1:15 AM
Subject: RE: Resolution: A suggested additional item in IPR disclosure pages
(fwd)

> > > > ... I would go further and suggest removing the "Reasonable
> > > > and Non-Discriminatory" terminology from the template as
> > > > it's definition is entirely subjective.
> > >
> > > Not a chance. It's a term of art and is the main reason many corporate
> > > IPR departments are able to use the template in the first place.
> > >
> > > I think the modifications announced by Harald are fine.
> > >
> > >     Brian
> >
> >   I'm afraid I don't understand.   If they are willing to license to
> > "All Implementers", wouldn't that make it a public license?
> > Why is it unreasonable to request a link to the license?
>
> Reasonable and non-discriminatory does not require public
> disclosure of the licensing terms - see Section 4.1 of RFC 3668.
> Lawyers generally prefer not to disclose any more than they have
> to.
>
> One of the things to consider is that the license itself may not
> be ready when the disclosure is made, and putting more requirements
> on disclosure is not conducive to getting disclosures in
> a timely fashion (already an annoying problem).
>
> > Further, if they
> > are unwilling to provide a link to the license, they can still use the
> > form and select options d) or e).
>
> Not really, as d) doesn't complete the obligation to disclose,
> and e) is uncooperative.
>
> > The point I am making is there
> > is little to no value in claiming you will license under RAND terms
> > without the actual license available for people to make their own
> > decision about whether or not the terms should cause concern.
>
> That point is incorrect - I have "running code" counterexamples from
> working groups that I chair, where such a disclosure was sufficient
> for the WG to evaluate whether there was a cause for concern.
>
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
>
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
>
>

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 08 Dec 2004 22:50:46 +0100

--On onsdag, desember 08, 2004 16:23:38 -0500 "Ling, Hung C (Hung)" 
<[email-masked]> wrote:

> Harald:
>
> Can you please clarify whether your intent on suggesting the added text
> is to "require" IPR holders who wish to offer a RAND license commitment
> to disclose specific RAND terms and conditions?  Sometimes, intention
> gets changed when massaging the words.
>
> If that is the intended or unintended outcome, I do not believe the
> change is workable for corporate law departments.  As George pointed out,
> that would also be a  change from RFC 3668 and 3905.

Hung,

the main intent is to make it possible for a reader of a generic disclosure 
to see whether or not a disclosure conforms to section 6.4.3 of RFC 3668 - 
that secton of RFC 3668 says that you have to disclose terms. Nothing new 
there.

Since we were adding machinery that talked about disclosing terms anyway, 
my thought was that we should make it simple to disclose terms in both 
forms, and to give readers assurance that all terms have been disclosed if 
that is the case.

For those who do not check the new checkbox, nothing is changed.

                       Harald

---

From: Bill Sommerfeld <[email-masked]>
Date: Wed, 08 Dec 2004 20:03:39 -0500

On Wed, 2004-12-08 at 16:23, Ling, Hung C (Hung) wrote:
> Can you please clarify whether your intent on suggesting the added text is 
> to "require" IPR holders who wish to offer a RAND license commitment to 
> disclose specific RAND terms and conditions?  Sometimes, intention gets 
> changed when massaging the words.

As a practical matter, IPR holders who want their technologies to be used by
"the little guys" -- and in particular, by open-source implementations -- 
need to go beyond RAND and commit to royalty-free licensing.

Another consideration for the little guy: licenses need to be  clearly 
understandable by developers who cannot afford a a corporate legal 
department; such developers tend to interpret licenses conservatively 
because they cannot afford the consequences of misinterpreting them.

This is a very important factor in some IETF working groups and less so in
others. 

The royalty-free, little-guy-friendly status of a WG seems like
something which ideally should be nailed down by WG consensus or 
in the WG charter.

(This, of course, doesn't stop an uncooperative IPR holder from getting
in the way later).

							- Bill

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 09 Dec 2004 09:19:13 +0100

Bill Sommerfeld wrote:
> something which ideally should be nailed down by WG consensus

That is our current practice, for the good reason that a WG can
only reach a rational consensus once *all* the cards are on the
table (i.e. all technical proposals and all IPR disclosures
relating to them).

> or 

That would be a *horrible* mistake, since it it would constrain the
discussion in advance, and limit participation to people who can work
under whatever a priori conditions have been set. It would also chase
work away from the IETF to other, less constraining, bodies.

> (This, of course, doesn't stop an uncooperative IPR holder from getting

You can never do that. That is the fundamental weakness in all crusading
attempts to change the world's IPR regime by tweaking the standards
process - all it can do is make it *less* likely that patent farmers
play nice.

There is much wisdom in RFC 2026/3668.

    Brian